Loading...
 
Architecture / Installation

Architecture / Installation


Install fails with message about missing ldap extension

posts: 1 United States

Hi folks - I'm manually installing the latest version of Tiki (as of today) at my hosting provider (Ionos, formerly 1and1). I have the software all unzipped and in the right place, pointers and domains etc. It is accessible. But when I visit /tiki-install.php, all I get is one line that says:

Composer detected issues in your platform: Your Composer dependencies require the following PHP extensions to be installed: ldap"

I guess that means the installer can't find the ldap extension, and I imagine that the solution probably lies in some kind of php.ini entry, but I don't really know anything about php so I don't know what to change or point to. Since they are a massive provider, I feel like Ionos probably has the extension available somewhere, though I'm not sure. Obviously I have no means to install extensions on the host. I also don't see any php.ini among the install files that I can edit - I figured it would be created during installation. Yes, I could make one, but I have no idea what to put in it anyways.

Any suggestions would be very welcome. I'm really looking forward to my new project with Tiki. Thanks!